subscription

The subscription query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the Subscription type.

query GetSubscription ($id: ID, $code: String, $format: String) {
  subscription (id: $id, code: $code, format: $format) {
    accountId
    cancellationDate
    createdAt
    currencyId
    currentPeriod
    customFieldsData
    daysLeftInTrial
    endDate
    entityId
    evergreen
    hasCustomFields
    id
    licenseKey
    name
    period
    priceAdjustmentAllowed
    priceAdjustmentLastDate
    priceAdjustmentPercentage
    priceListId
    provisioningRequired
    rampIntervalMonths
    renewalSummary
    renewalTermMonths
    startDate
    trialEndDate
    trialPeriod
    trialStartDate
    updatedAt
  }
}

ArgumentsLink to Arguments section

Name Type Description
id ID  
code String  
format String  

ResponseLink to Response section